public class AreaBuilder {
   public static final int RECT = 0;
   public static final int CIRCLE = 1;
   public static final int POLY = 2;

   public static Area build(int var0, int var1, int var2) {
      Object var3 = null;
      switch (var0) {
         case 0:
            var3 = new Rect(var1, var2);
            break;
         case 1:
            var3 = new Circle(var1, var2);
            break;
         case 2:
            var3 = new Poly(var1, var2);
      }

      return (Area)var3;
   }

   public static Area build(String var0, String var1) {
      Object var2 = null;
      if (var0.equalsIgnoreCase("RECT")) {
         var2 = new Rect(var1);
      } else if (var0.equalsIgnoreCase("CIRCLE")) {
         var2 = new Circle(var1);
      } else if (var0.equalsIgnoreCase("POLY")) {
         var2 = new Poly(var1);
      }

      return (Area)var2;
   }
}
