import java.awt.Window;
import mug.app.Command;
import mug.ui.Callback;
import mug.ui.MultipleChoiceDialog;

public class ChooseImageCommand extends Command implements Callback {
   private MainShell _app;

   public ChooseImageCommand(MainShell var1) {
      this._app = var1;
   }

   public void execute() {
      String[] var1 = new String[]{"File", "URL", "None"};
      MultipleChoiceDialog var2 = new MultipleChoiceDialog(this._app, "New", false, "Load image (GIF, JPEG) from:", var1, this);
      ((Window)var2).show();
   }

   public void execute(Object var1, Object var2) {
      if (((String)var2).equals("File")) {
         ((Command)this).executeNext(new LoadImageFileCommand(this._app));
      } else if (((String)var2).equals("URL")) {
         ((Command)this).executeNext(new LoadImageURLCommand(this._app));
      } else {
         if (((String)var2).equals("None")) {
            ((Command)this).executeNext();
         }

      }
   }
}
