import java.io.File;
import java.net.URL;
import mug.app.Command;

public class LoadImageFileCommand extends Command {
   private MainShell _app;

   public LoadImageFileCommand(MainShell var1) {
      this._app = var1;
   }

   public void execute() {
      File var1 = this._app.showFileDialog("Load Image", 0, new ImageFilenameFilter());
      if (var1 != null) {
         this._app.setBusy(true);
         this._app.getMapCanvas().loadImage((URL)null, (File)null, var1.getPath());
         this._app.setBusy(false);
         ((Command)this).executeNext();
      }
   }
}
