import mug.app.Command;

public class TransparentCommand extends Command {
   private MainShell _app;
   private int _alpha;

   public TransparentCommand(MainShell var1, int var2) {
      this._app = var1;
      this._alpha = var2;
   }

   public void execute() {
      this._app.setBusy(true);
      this._app.getMapCanvas().transparentImage(this._alpha);
      this._app.setBusy(false);
      ((Command)this).executeNext();
   }
}
