import java.awt.Menu;
import java.io.InputStream;
import mug.app.CommandMenu;
import mug.util.HTMLStreamTokenizer;

public class BookmarksParser extends HTMLStreamTokenizer {
   private MainShell _app;

   public BookmarksParser(InputStream var1, MainShell var2) {
      super(var1);
      this._app = var2;
   }

   public void parse(CommandMenu var1) {
      ((HTMLStreamTokenizer)this).nextTag("DL");

      while(((HTMLStreamTokenizer)this).nextTag() && !((HTMLStreamTokenizer)this).compareTag("/DL")) {
         if (((HTMLStreamTokenizer)this).compareTag("DT")) {
            ((HTMLStreamTokenizer)this).nextTag();
            if (((HTMLStreamTokenizer)this).compareTag("A")) {
               String var2 = ((HTMLStreamTokenizer)this).getParamValue("HREF");
               ((HTMLStreamTokenizer)this).nextText();
               String var3 = ((HTMLStreamTokenizer)this).getValue();
               var1.add(var3, new BookmarkCommand(this._app, var2));
            } else if (((HTMLStreamTokenizer)this).compareTag("H3")) {
               ((HTMLStreamTokenizer)this).nextText();
               CommandMenu var4 = new CommandMenu(((HTMLStreamTokenizer)this).getValue());
               ((Menu)var1).add(var4);
               this.parse(var4);
            }
         } else if (((HTMLStreamTokenizer)this).compareTag("HR")) {
            ((Menu)var1).addSeparator();
         }
      }

   }
}
