import java.awt.Window;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import mug.app.Command;
import mug.ui.TextAreaDialog;

public class HTMLSourceCommand extends Command {
   private MainShell _app;

   public HTMLSourceCommand(MainShell var1) {
      this._app = var1;
   }

   public void execute() {
      label37: {
         try {
            this._app.setBusy(true);
            ImageMap var3 = (ImageMap)this._app.getDocument();
            ByteArrayOutputStream var4 = new ByteArrayOutputStream();
            var3.doSave(var4);
            TextAreaDialog var5 = new TextAreaDialog(this._app, "HTML Source", false, 16, 64);
            var5.setEditable(false);
            var5.setText(var4.toString());
            ((Window)var5).show();
            ((OutputStream)var4).close();
            break label37;
         } catch (IOException var8) {
            this.log(var8);
         } finally {
            this._app.setBusy(false);
         }

         return;
      }

      ((Command)this).executeNext();
   }

   private void log(Exception var1) {
      System.out.println("Caught an exception: " + ((Throwable)var1).getMessage());
      ((Throwable)var1).printStackTrace();
   }
}
