import java.awt.Window;
import java.io.File;
import java.net.MalformedURLException;
import java.net.URL;
import mug.app.Command;
import mug.ui.Callback;
import mug.ui.TextFieldDialog;

public class ImportImageMapURLCommand extends Command implements Callback {
   private MainShell _app;

   public ImportImageMapURLCommand(MainShell var1) {
      this._app = var1;
   }

   public void execute() {
      TextFieldDialog var1 = new TextFieldDialog(this._app, "Import Image Map URL", false, "Image Map URL", 40, this);
      ((Window)var1).show();
   }

   public void execute(Object var1, Object var2) {
      String var3 = (String)var2;
      if (var3 != null) {
         label44: {
            try {
               this._app.setBusy(true);
               URL var6 = new URL(var3);
               ImageMap var7 = (ImageMap)this._app.getDocument();
               var7.import_(var6);
               this._app.getMapCanvas().loadImage(var7.getBaseUrl(), (File)null, var7.getImgSrc());
               break label44;
            } catch (MalformedURLException var10) {
               this.log(var10);
            } finally {
               this._app.setBusy(false);
            }

            return;
         }

         ((Command)this).executeNext();
      }
   }

   private void log(Exception var1) {
      System.out.println("Caught an exception: " + ((Throwable)var1).getMessage());
   }
}
