import java.awt.Window;
import java.io.File;
import java.net.URL;
import mug.app.Command;
import mug.ui.Callback;
import mug.ui.TextFieldDialog;

public class LoadImageURLCommand extends Command implements Callback {
   private MainShell _app;

   public LoadImageURLCommand(MainShell var1) {
      this._app = var1;
   }

   public void execute() {
      TextFieldDialog var1 = new TextFieldDialog(this._app, "Load Image URL", false, "Image URL", 40, this);
      ((Window)var1).show();
   }

   public void execute(Object var1, Object var2) {
      String var3 = (String)var2;
      if (var3 != null) {
         this._app.setBusy(true);
         this._app.getMapCanvas().loadImage((URL)null, (File)null, var3);
         this._app.setBusy(false);
         ((Command)this).executeNext();
      }
   }
}
