import mug.app.Command;

public class PreSaveCommand extends Command {
   private MainShell _app;

   public PreSaveCommand(MainShell var1) {
      this._app = var1;
   }

   public void execute() {
      ImageMap var1 = (ImageMap)this._app.getDocument();
      Area var2 = var1.getSelected();
      if (var2 != null && (var2.getLink() == null || !var2.getLink().equals(this._app.getLink()))) {
         var2.setLink(this._app.getLink());
         var1.setModified(true);
      }

      ((Command)this).executeNext();
   }
}
